X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How do I upgrade to the latest version of Firefox if my system does not support it?

Posted

I tried to sign onto my Hotmail email account which I managed to do successfully. However, upon logging in a message came up asking me to upgrade my Firefox to the latest version. I clicked this option but the Firefox upgrade screen said my system does not support this Firefox upgrade. What am I to do? If I do not upgrade Firefox my Hotmail email account will not have all the necessary features needed to email someone

Chosen solution

can't update because you have 10.4 mac(the latest firefox for 10.4 is 3.6.28)

see: Firefox no longer works with Mac OS X 10.4 or PowerPC processors
Read this answer in context 7

Additional System Details

Installed Plug-ins

  • Displays PDF documents in the browser.
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Gecko default plugin
  • http://www.facebook.com/fbplugin/
  • Amazon MP3 Downloader Plugin 1.0.17
  • RealPlayer Plugin
  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Juniper Networks Safari Extensions
  • Office Live Update v1.0
  • 3.0.40624.0
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3

More Information

Jan. 9 solutions 82 answers

Chosen Solution

can't update because you have 10.4 mac(the latest firefox for 10.4 is 3.6.28)

see: Firefox no longer works with Mac OS X 10.4 or PowerPC processors

Modified by Jan.

cor-el
  • Top 10 Contributor
  • Moderator
10752 solutions 96760 answers

Firefox 4 and later require a Mac with an Intel processor and OS X 10.6 (Firefox 16 runs on OS X 10.5).

So best would be to update to OS X 10.6.8